Skip to main content
POST
/
images
/
generations
Image generation
curl --request POST \
  --url https://api.runcrate.ai/v1/images/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "prompt": "<string>",
  "width": 1152,
  "height": 1152,
  "aspect_ratio": "16:9",
  "num_inference_steps": 50,
  "guidance": 123,
  "response_format": "url"
}
'
import requests

url = "https://api.runcrate.ai/v1/images/generations"

payload = {
    "model": "<string>",
    "prompt": "<string>",
    "width": 1152,
    "height": 1152,
    "aspect_ratio": "16:9",
    "num_inference_steps": 50,
    "guidance": 123,
    "response_format": "url"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    model: '<string>',
    prompt: '<string>',
    width: 1152,
    height: 1152,
    aspect_ratio: '16:9',
    num_inference_steps: 50,
    guidance: 123,
    response_format: 'url'
  })
};

fetch('https://api.runcrate.ai/v1/images/generations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "created": 123,
  "data": [
    {
      "url": "<string>",
      "b64_json": "<string>"
    }
  ]
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  }
}

Authorizations

Authorization
string
header
required

Use a Runcrate API key with the rc_live_* prefix as the bearer token. Create one at https://www.runcrate.ai/dashboard/api-keys.

Body

application/json
model
string
required

Image model id (e.g. black-forest-labs/flux-1.1-pro).

prompt
string
required
width
integer
Required range: 256 <= x <= 2048
height
integer
Required range: 256 <= x <= 2048
aspect_ratio
string
Example:

"16:9"

num_inference_steps
integer
Required range: 1 <= x <= 100
guidance
number
response_format
enum<string>
default:url
Available options:
url,
b64_json

Response

Image URLs or base64 payloads.

created
integer
data
object[]